Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.controls.layout
Class FlowLayoutPresentationContext

    java.lang.Object
      com.bea.netuix.servlets.controls.ControlContext
          com.bea.netuix.servlets.controls.PresentationContext
              com.bea.netuix.servlets.controls.layout.LayoutPresentationContext
                  com.bea.netuix.servlets.controls.layout.FlowLayoutPresentationContext

All Implemented Interfaces
  Serializable

    public class FlowLayoutPresentationContext

extends LayoutPresentationContext

Used to provide access to presentation-related attributes specific to the `FlowLayout` in use. Typically used during portal rendering via look and feel skeleton files (e.g. flowlayout.jsp).

See Also
  `getFlowLayoutPresentationContext(javax.servlet.http.HttpServletRequest)`, Serialized Form

Field Summary
`protected static String` | `CLASS_NAME`

Method Summary
`static FlowLayoutPresentationContext` | `getFlowLayoutPresentationContext(javax.servlet.http.HttpServletRequest request)` This is a convenience method for returning a reference to the one and only FlowLayoutPresentationContext.
`String` | `getOrientation()` Returns the text of the orientation attribute specified in the .layout file that corresponds to this `FlowLayout` portal component.
`PlaceholderPresentationContext` | `getParentPlaceholderPresentationContext()` This method returns the parent `PlaceholderPresentationContext` for this `FlowLayoutPresentationContext`, if this `FlowLayoutPresentationContext` is implicit.
`String` | `getProperty(String key)` Get a property of the underlying component.
`boolean` | `isHorizontal()`
`boolean` | `isImplicitFlow()` This attribute is used to indicate whether this `FlowLayout` was created implicitely by a `Placeholder` to handle 'usingFlow' duties, or explicitly by a control.
`boolean` | `isVertical()`

Methods inherited from class com.bea.netuix.servlets.controls.layout.LayoutPresentationContext
`getLayoutPresentationContext, getPlaceholders, getType`

Methods inherited from class com.bea.netuix.servlets.controls.PresentationContext
`getAttributeRenderer, getChildren, getChildren, getFirstChild, getOrderedChildren, getParsedProperties, getPresentationClass, getPresentationId, getPresentationStyle, getProperties, getProperty, getPropertyAsBoolean, getPropertyAsInt, getRenderFormat, getResolvedLocale, getTagName, isVisible, setVisible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CLASS_NAME

    protected static final String CLASS_NAME

Method Detail

### getOrientation

    public String getOrientation()

  Returns the text of the orientation attribute specified in the .layout file that corresponds to this `FlowLayout` portal component. Will be either `FlowLayout.ORIENT_HORIZONTAL` or `FlowLayout.ORIENT_VERTICAL`.

  Returns
    The text of the orientation attribute as a String. If unspecified, `FlowLayout.ORIENT_VERTICAL` is returned.
  See Also
    `FlowLayout.ORIENT_HORIZONTAL`, `FlowLayout.ORIENT_VERTICAL`

### isHorizontal

    public boolean isHorizontal()

  Returns
    true if the orientation attribute is set to "horizontal"

### isVertical

    public boolean isVertical()

  Returns
    true if the orientation attribute is set to "vertical"

### isImplicitFlow

    public boolean isImplicitFlow()

  This attribute is used to indicate whether this `FlowLayout` was created implicitely by a `Placeholder` to handle 'usingFlow' duties, or explicitly by a control.

  Returns
    true if this `FlowLayout` was created implicitely, false otherwise.

### getParentPlaceholderPresentationContext

    public PlaceholderPresentationContext getParentPlaceholderPresentationContext()

  This method returns the parent `PlaceholderPresentationContext` for this `FlowLayoutPresentationContext`, if this `FlowLayoutPresentationContext` is implicit. An implicit `FlowLayout` is one that was created automatically by a `Placeholder` to handle 'usingFlow' duties.

  Returns
    The `PlaceholderPresentationContext` parent of this implicit `FlowLayoutPresentationContext`, or null if it doesn't exist, or if this `FlowLayoutPresentationContext` is not implicit.

### getFlowLayoutPresentationContext

    public static FlowLayoutPresentationContext getFlowLayoutPresentationContext(javax.servlet.http.HttpServletRequest request)

  This is a convenience method for returning a reference to the one and only FlowLayoutPresentationContext. Note this method will only work if called from within a portal (typically, from the flowlayout.jsp skeleton). This method may return null if called when no appropriate context exists, but such a context should safely exist when being fetched from the associated skeleton JSP during normal portal rendering.

  Parameters
    `request` - The current HTTPServletRequest instance
  Returns
    A reference to the current FlowLayoutPresentationContext, if any

### getProperty

    public String getProperty(String key)

  Description copied from class: `PresentationContext`
  Get a property of the underlying component. This is a convenience method. The `key` argument should not be null.

  Overrides:
    `getProperty` in class `PresentationContext`
  Parameters
    `key` - The property key
  Returns
    The value associated with the specified key, if it exists

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.